# Record Class CLNImageCubeFaceDeclaration

java.lang.Object
java.lang.Record
com.io7m.calino.api.CLNImageCubeFaceDeclaration

Record Components:
  `sizeCompressed` - The size of the supercompressed data in octets
  `sizeUncompressed` - The size of the uncompressed data in octets
  `crc32` - The CRC32 checksum of the uncompressed data

public record CLNImageCubeFaceDeclaration(long sizeCompressed, long sizeUncompressed, int crc32) extends Record
The declaration of a single cube face.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNImageCubeFaceDeclaration(long sizeCompressed, long sizeUncompressed, int crc32)`
  Creates an instance of a `CLNImageCubeFaceDeclaration` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `crc32()`
  Returns the value of the `crc32` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `sizeCompressed()`
  Returns the value of the `sizeCompressed` record component.
  `long`
  `sizeUncompressed()`
  Returns the value of the `sizeUncompressed` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNImageCubeFaceDeclaration

    public CLNImageCubeFaceDeclaration(long sizeCompressed, long sizeUncompressed, int crc32)
    Creates an instance of a `CLNImageCubeFaceDeclaration` record class.
    Parameters:
      `sizeCompressed` - the value for the `sizeCompressed` record component
      `sizeUncompressed` - the value for the `sizeUncompressed` record component
      `crc32` - the value for the `crc32` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### sizeCompressed

    public long sizeCompressed()
    Returns the value of the `sizeCompressed` record component.
    Returns:
      the value of the `sizeCompressed` record component

  - ### sizeUncompressed

    public long sizeUncompressed()
    Returns the value of the `sizeUncompressed` record component.
    Returns:
      the value of the `sizeUncompressed` record component

  - ### crc32

    public int crc32()
    Returns the value of the `crc32` record component.
    Returns:
      the value of the `crc32` record component